Bug 1002368 - Report "Domain 'mongoCon' does not exist" when visiting my application page or rhc domain show on PROD but it exists actually
Report "Domain 'mongoCon' does not exist" when visiting my application page ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 23:26 EDT by Yujie Zhang
Modified: 2015-05-14 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:48:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-08-28 23:26:19 EDT
Description of problem:

Login using my old account "yujzhang+3@redhat.com", go to my appliation page, met error "Domain 'mongoCon' does not exist", but the domain exists and can create application using that domain.Checked using rhc domain list, result as following:

[root@dhcp-8-252 features]# rhc domain list -l yujzhang+3@redhat.com --server openshift.redhat.com
Domain mongoCon (owned by yujzhang+3@redhat.com)
------------------------------------------------
  Created:            Feb 13  1:25 AM
  Allowed Gear Sizes: small, medium, c9

You have access to 1 domain.

Version-Release number of selected component (if applicable):
PROD

How reproducible:
always

Steps to Reproduce:
1.Login using "yujzhang+3@redhat.com"
2.Go to my application page
3.

Actual results:

Always met "Domain 'mongoCon' does not exist" error when accessing my application, but the domain can be used to create applciation and can be listed using rhc domain list.

Expected results:

The my application page should be accessed successfully without error.

Additional info:
Comment 1 Abhishek Gupta 2013-09-11 14:08:51 EDT
Clayton: Can someone from the UI team take a look or at least provide some pointers?
Comment 2 Clayton Coleman 2013-09-11 14:29:05 EDT
This was fixed this sprint - capitalized domain names were incorrectly handled as a result of the domain name refactor.  We hotfixed this into PROD.
Comment 3 Yujie Zhang 2013-09-12 03:21:16 EDT
Tested on PROD using account "yujzhang+3@redhat.com", the my applicatons page can be accessed successfully now, so verify this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.